%{!?ruby_sitelib:	%global ruby_sitelib	%(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")}
%{!?ruby_sitearch:	%global ruby_sitearch	%(ruby -rrbconfig -e "puts Config::CONFIG['sitearchdir']")}

%define		rubyabi		1.8

%define		modname		RMagick
%define		repoid		70067

%define setIMver() \
%if 0%{?fedora} == %1 \
BuildRequires:	ImageMagick-devel = %2\
Requires:		ImageMagick = %2\
%endif \
%{nil}

%define		mainver		2.13.1
%undefine		betaver		
%define		fedorarel	1


Name:		ruby-%{modname}
Version:	%{mainver}
Release:	%{fedorarel}%{?betaver:.%betaver}%{?dist}.1
Summary:	Graphics Processing for Ruby and Ruby on Rails
Group:		Development/Languages

License:	MIT
URL:		http://rmagick.rubyforge.org/
Source0:	http://rubyforge.org/frs/download.php/%{repoid}/%{modname}-%{mainver}%{?betaver:-%betaver}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	ruby
BuildRequires:	ruby-devel
BuildRequires:	ruby(abi) = %{rubyabi}
# libwmf <-> libwmf-lite split
BuildRequires:	%{_bindir}/wmf2eps
# For ImageMagick config/type.xml
# And due to bug 500565 (i.e. test_Magick_version() in rmmain.c)
BuildRequires:	ImageMagick-devel
Requires:	ImageMagick

%setIMver 14 6.6.0.2
%setIMver 13 6.5.8.10
%setIMver 12 6.5.4.7
%setIMver 11 6.5.1.2

Requires:	ruby(abi) = %{rubyabi}
Provides:	ruby(%{modname}) = %{version}-%{release}

%description
RMagick is an interface between the Ruby programming language and the
ImageMagick and GraphicsMagick image processing libraries.

%package	doc
Summary:	Documentation for %{name}
Group:		Documentation
BuildArch:	noarch

%description	doc
This package contains documentaton files for %{name}.

%prep
%setup -q -n %{modname}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
export RUBYLIB=$(pwd)/ext/RMagick
ruby setup.rb config \
	--prefix=%{_prefix} \
	--siteruby=%{ruby_sitelib} \
	--siterubyverarch=%{ruby_sitearch} \
	--doc-dir=$(pwd)/DOCDIR/HTML
ruby setup.rb setup

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__rm} -rf DOCDIR
ruby setup.rb install \
	--prefix=$RPM_BUILD_ROOT

# Permission
find $RPM_BUILD_ROOT -name \*.so | xargs %{__chmod} 0755

# Fix up DOCDIR
find DOCDIR -name .rmagick -or -name .examples | \
	xargs %{__rm} -f

%{__cp} -p ChangeLog DOCDIR/
%{__sed} -e 's|ISO-8859-1|UTF-8|' README.html | \
	iconv -f ISO-8859-1 -t UTF-8 > \
	DOCDIR/README.html
touch -r README.html DOCDIR/README.html

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc DOCDIR/ChangeLog DOCDIR/README.html

%{ruby_sitelib}/%{modname}.rb
%{ruby_sitelib}/rvg/
%{ruby_sitearch}/%{modname}2.so

%files	doc
%defattr(-,root,root,-)
%doc DOCDIR/HTML/*

%changelog
* Thu Apr  8 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.13.1-1
- 2.13.1

* Sun Mar  7 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.13.0-3
- F-13+: Rebuild for new ImageMagick

* Sat Jan 16 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.13.0-2
- F-13: Rebuild for new ImageMagick

* Tue Dec 29 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.13.0-1
- 2.13.0

* Wed Dec  2 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.12.2-2
- Set ImageMagick dependency correctly again

* Sat Oct 31 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.12.2-1
- 2.12.2

* Thu Sep 10 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.11.1-1
- 2.11.1

* Tue Aug  4 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.11.0-2
- F-12: Rebuid against new ImageMagick

* Mon Aug  3 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.11.0-1
- 2.11.0

* Sat Jul 25 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.10.0-2
- F-12: Mass rebuild

* Sun Jun 28 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.10.0-1
- 2.10.0

* Wed Jun 17 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.9.2-3
- F-12: Rebuild to create valid debuginfo rpm again (ref: bug 505774)

* Tue Jun 16 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.9.2-2
- F-12: Rebuild against new ImageMagick

* Thu May 21 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.9.2-1
- 2.9.2

* Thu May 14 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.9.1-3
- F-11: Rebuild against new ImageMagick
- Make ImageMagick requirement very strict (bug 500565)

* Mon Mar  9 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- F-11: Rebuild against new ImageMagick

* Tue Feb 24 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.9.1-2
- %%global-ize "nested" macro

* Thu Feb  5 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.9.1-1
- 2.9.1

* Thu Jan 22 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.9.0-1
- 2.9.0

* Wed Dec 10 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.8.0-1
- 2.8.0

* Wed Nov 19 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.7.2-1
- 2.7.2

* Wed Nov  5 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.7.1-1
- 2.7.1

* Wed Oct  1 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.7.0-1
- 2.7.0

* Thu Sep 18 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.6.0-1
- 2.6.0

* Thu Jul 17 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.5.2-1
- 2.5.2

* Sun Jun 29 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.5.1-1
- 2.5.1

* Thu Jun 19 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.5.0-1
- 2.5.0

* Sun Jun  8 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.4.0-1
- 2.4.0

* Mon Apr 28 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.3.0-2
- Rebuild against ImageMagick 6.4.0+ (F-10)
- BR: libwmf (actually %%_bindir/wmf2eps) explicitly
  ( related to bug 432651 )

* Thu Apr  3 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.3.0-1
- 2.3.0

* Mon Feb 18 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.2.2-1
- 2.2.2

* Sun Feb  3 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.2.0-1
- 2.2.0

* Fri Jan 11 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.1.0-1
- 2.1.0

* Fri Dec 28 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.0-3
- 2.0.0
- Workaround for ruby site bug related to static archive removal.

* Sun Nov  4 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.0-0.3.beta5
- 2.0.0 beta 5

* Wed Oct  3 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.0-0.3.beta4
- Spec file cleanup

* Sat Sep 22 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.0-0.1.beta4
- Initial packaging
